/**
 * tsm_getopt.c:  Automatic commandline option parser.
 * Copyright 2009 Tyler Montbriand, under the GNU LGPL.
 */
#ifndef __TSM_GETOPT_H__
#define __TSM_GETOPT_H__

typedef struct opt
{
	const char	*lname;		// Long option, mandatory.
	unsigned char	sname;		// Short option, optional.
	int		args;		// Has arguments.
						// When cmdstr is NULL, stores
						// pointer to arg in *val
						// when cmdstr isn't NULL,
						// scanf's string into val
	void 		*val;		// What to store
	const char	*cmdstr;	// Command string for scanf
	const char	*usage;		// Usage description
} opt;

#ifdef __cplusplus
extern "C" {
#endif

// Parse commandline parameters.  Returns index of first unparsed value.
int tsm_getopt(int argc, char *argv[], const opt options[]);
// Print usage for optional parameters
int tsm_usage(int argc, char *argv[], const opt options[]);

#ifdef __cplusplus
}
#endif

#endif/*__TSM_GETOPT_H__*/
